protected/models/Influencer.php
<?php

/**
 * This is the model class for table "{{Influencer}}".
 *
 * The followings are the available columns in table '{{Influencer}}':
 * @property integer $id
 * @property string $first_name
 * @property string $last_name
 * @property integer $seeding_platform
 * @property integer $followers
 * @property string $handle_tiktok
 * @property string $handle_instagram
 * @property string $handle_youtube
 * @property integer $following_tier
 * @property integer $demographic
 * @property integer $segment
 * @property string $notes
 * @property integer $added_by_user_id
 * @property string $date_created
 * @property string $date_updated
 *
 * The followings are the available model relations:
 * @property User $addedByUser
 */
class Influencer extends CActiveRecord
{
	const STATUS_ACTIVE = 1;
	const STATUS_INACTIVE = 2;
	const STATUS_DELETED = 3;

	const SEEDING_PLATFORM_TIKTOK = 1;
	const SEEDING_PLATFORM_INSTAGRAM = 2;
	const SEEDING_PLATFORM_YOUTUBE = 3;
	const SEEDING_PLATFORM_TWITTER = 4;
	const SEEDING_PLATFORM_FACEBOOK = 5;

	const FOLLOWING_TIER_MICRO = 1;
	const FOLLOWING_TIER_MACRO = 2;

	const DEMOGRAPHIC_GENZ = 1;
	const DEMOGRAPHIC_MILLENIAL = 2;

	const SEGMENT_BEAUTY = 1;
	const SEGMENT_SKINFLUENCER = 2;
	const SEGMENT_LIFESTYLE = 3;
	const SEGMENT_PERSONALITY = 4;

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return '{{influencer}}';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('first_name, last_name, seeding_platform, followers, following_tier, demographic, segment, added_by_user_id, notes', 'required'),
			array('seeding_platform, followers, following_tier, demographic, segment, added_by_user_id', 'numerical', 'integerOnly'=>true),
			array('first_name, last_name, handle_tiktok, handle_instagram, handle_youtube', 'length', 'max'=>128),
			array('notes, hyperlink_tiktok, hyperlink_instagram, hyperlink_youtube', 'safe'),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('id, first_name, last_name, seeding_platform, followers, handle_tiktok, handle_instagram, handle_youtube, hyperlink_tiktok, hyperlink_instagram, hyperlink_youtube, following_tier, demographic, segment, notes, added_by_user_id, date_created, date_updated', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'addedByUser' => array(self::BELONGS_TO, 'User', 'added_by_user_id'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'first_name' => 'First Name',
			'last_name' => 'Last Name',
			'seeding_platform' => 'Seeding Platform',
			'followers' => 'Followers',
			'handle_tiktok' => 'Tiktok Handle',
			'handle_instagram' => 'Instagram Handle ',
			'handle_youtube' => 'Youtube Handle',
			'hyperlink_tiktok' => 'Tiktok Hyperlink',
			'hyperlink_instagram' => 'Instagram Hyperlink',
			'hyperlink_youtube' => 'Youtube Hyperlink',
			'following_tier' => 'Following Tier',
			'demographic' => 'Demographic',
			'segment' => 'Segment',
			'notes' => 'Notes',
			'added_by_user_id' => 'Added By User',
			'date_created' => 'Date Created',
			'date_updated' => 'Date Updated',
			'full_name' => 'Full Name'
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('first_name',$this->first_name,true);
		$criteria->compare('last_name',$this->last_name,true);
		$criteria->compare('seeding_platform',$this->seeding_platform);
		$criteria->compare('followers',$this->followers);
		$criteria->compare('handle_tiktok',$this->handle_tiktok,true);
		$criteria->compare('handle_instagram',$this->handle_instagram,true);
		$criteria->compare('handle_youtube',$this->handle_youtube,true);
		$criteria->compare('following_tier',$this->following_tier);
		$criteria->compare('demographic',$this->demographic);
		$criteria->compare('segment',$this->segment);
		$criteria->compare('notes',$this->notes,true);
		$criteria->compare('added_by_user_id',$this->added_by_user_id);
		$criteria->compare('date_created',$this->date_created,true);
		$criteria->compare('date_updated',$this->date_updated,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Influencer the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function scopes() 
	{
		return [
			'notDeleted' => [
				'condition' => 'status != ' . self::STATUS_DELETED
			]
		];
	}

	public static function getSeedingPlatformList() 
	{
		return [
			self::SEEDING_PLATFORM_TIKTOK => 'TikTok',
			self::SEEDING_PLATFORM_INSTAGRAM => 'Instagram',
			self::SEEDING_PLATFORM_YOUTUBE => 'Youtube',
			// self::SEEDING_PLATFORM_TWITTER => 'Twitter',
			// self::SEEDING_PLATFORM_FACEBOOK => 'Facebook',
		];
	}

	public static function getSeedingPlatformLabel($key) {
		return self::getSeedingPlatformList()[$key];
	}

	public static function getFollowingTierList() 
	{
		return [
			self::FOLLOWING_TIER_MICRO => 'Micro',
			self::FOLLOWING_TIER_MACRO => 'Macro',
		];
	}

	public static function getFollowingTierLabel($key) {
		return self::getFollowingTierList()[$key];
	}

	public static function getDemographicList() 
	{
		return [
			self::DEMOGRAPHIC_GENZ => 'Gen Z',
			self::DEMOGRAPHIC_MILLENIAL => 'Millenial',
		];
	}

	public static function getDemographicLabel($key) {
		return self::getDemographicList()[$key];
	}

	public static function getSegmentList() 
	{
		return [
			self::SEGMENT_BEAUTY => 'Beuty',
			self::SEGMENT_SKINFLUENCER => 'Skinfluencer',
			self::SEGMENT_LIFESTYLE => 'Lifestyle',
			self::SEGMENT_PERSONALITY => 'Personality',
		];
	}

	public static function getSegmentLabel($key) {
		return self::getSegmentList()[$key];
	}

	protected function beforeSave()
	{
		if (parent::beforeSave())
		{
			if ($this->isNewRecord) 
			{
				$this->date_created = date('Y-m-d H:i:s');
				$this->date_updated = date('Y-m-d H:i:s');
			}
			else 
			{
				$this->date_updated = date('Y-m-d H:i:s');
			}
		}

		return true;
	}
}

protected/controllers/InfluencerController.php
<?php

class InfluencerController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('index', 'view', 'create','update','delete', 'seeds', 'export'),
				'users'=>array('@'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 * @param integer $id the ID of the model to be displayed
	 */
	public function actionView($id)
	{	
		$this->render('view',array(
			'model'=>$this->loadModel($id),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model = new Influencer;

		if (isset($_POST['Influencer']))
		{
			$model->attributes = array_map('trim', $_POST['Influencer']);
			$model->added_by_user_id = Yii::app()->user->info->id;

			if ($model->validate())
			{
				if ($this->additionalFormValidation($model))
				{
					if ($model->save())
					{
						Yii::app()->user->setFlash('success', 'Item successfully created!');
						$this->redirect(array('view','id'=>$model->id));
					}
					else 
						Yii::app()->user->setFlash('error', 'Unable to save record!');
				}
			}
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 * @param integer $id the ID of the model to be updated
	 */
	public function actionUpdate($id)
	{
		$model=$this->loadModel($id);

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Influencer']))
		{
			$model->attributes = array_map('trim', $_POST['Influencer']);
			if($model->save())
			{
				Yii::app()->user->setFlash('success', 'Item successfully updated.');
				$this->redirect(array('view','id'=>$model->id));
			}
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'admin' page.
	 * @param integer $id the ID of the model to be deleted
	 */
	public function actionDelete($id)
	{
		$model = $this->loadModel($id);

		$model->status = Influencer::STATUS_DELETED;

		if ($model->save())
		{
			Yii::app()->user->setFlash('success', 'Item successfully delete.');
			$this->redirect(['index']);
		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$model = new Influencer;

		$filterParams = $this->prepareFilterParams();
		$queryAdditionalCond = $this->prepareAdditionalCond($filterParams);

		$query = '
			SELECT infl.*, user.username FROM {{influencer}} AS infl
			INNER JOIN {{user}} AS user ON user.id = infl.added_by_user_id
			WHERE 1
			'. $queryAdditionalCond .'
			AND infl.status = '. Influencer::STATUS_ACTIVE .'
			ORDER BY infl.id DESC
		';

		$command = Yii::app()->db->createCommand($query);
		$influencers = $command->queryAll();

		$influencersDP = new CArrayDataProvider($influencers);
		$influencersDP->getPagination()->pageSize = 100;

		$this->render('index',array(
			'model' => $model,
			'filterParams' => $filterParams,
			'influencersDP'=>$influencersDP,
		));
	}

	public function actionExport() 
	{
		header('Content-Type: application/csv');
		header('Content-Disposition: attachment; filename="InfluencerExport.csv";');

		$filterParams = $this->prepareFilterParams();
		$queryAdditionalCond = $this->prepareAdditionalCond($filterParams);

		$query = '
			SELECT infl.*, user.username FROM {{influencer}} AS infl
			INNER JOIN {{user}} AS user ON user.id = infl.added_by_user_id
			WHERE 1
			'. $queryAdditionalCond .'
			AND infl.status = '. Influencer::STATUS_ACTIVE .'
			ORDER BY infl.id DESC
		';

		$command = Yii::app()->db->createCommand($query);
		$influencers = $command->queryAll();

		$influencersDP = new CArrayDataProvider($influencers);
		$influencersDP->getPagination()->pageSize = $influencersDP->totalItemCount;

		$exportColumns = [
			'Date Created',
			'Added By',
			'Full Name',
			'Seeding Plaform',
			'Followers',
			'TikTok Handle',
			'Instgram Handle',	
			'Youtube Handle',
			'Following Tier',	
			'Demographic',
			'Segment',
			'Notes'
		];

		$exportRows = [];

		$exportRows[] = $exportColumns;
		if (count($influencersDP->rawData) > 0) {
			foreach ($influencersDP->rawData as $data) {
				$dateCreated = date('Y-m-d', strtotime('now')) . ' @ ' . date('h:m A', strtotime('now'));
				$fullName = $data['first_name'] . ' ' . $data['last_name'];

				$exportRows[] = [
					$dateCreated,
					$data['username'], // Added By
					$fullName, // Full Name
					Influencer::getSeedingPlatformLabel($data['seeding_platform']), // Seeding Plaform
					$data['followers'], // Followers
					$data['handle_tiktok'], // TikTok Handle
					$data['handle_instagram'], // Instgram Handle
					$data['handle_youtube'], // Youtube Handle
					Influencer::getFollowingTierLabel($data['following_tier']), // Tier
					Influencer::getDemographicLabel($data['demographic']), // Demographic
					Influencer::getSegmentLabel($data['segment']), // Segment
					$data['notes'], // Notes
				];
			}
		}
		
		// Open a file in write mode ('w')
		// $fp = fopen('export/influencerExportData-'.date('Y-m-d').'.csv', 'w+');
		
		$fp = fopen('php://output', 'w');

		// Loop through file pointer and a line
		foreach ($exportRows as $fields) {
			fputcsv($fp, $fields);
		}
		
		fclose($fp);
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Influencer('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Influencer']))
			$model->attributes=$_GET['Influencer'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Seeds data
	 */
	public function actionSeeds($key)
	{
		if ($key != '86f7e437')
			throw new CHttpException(403, 'Forbidden to access the page!');
		
		$itemCount = 20;
		for ($i = 0; $itemCount > $i; $i++) {
			$model = new Influencer;

			$model->first_name = 'Jonh';
			$model->last_name = 'Duh';
			$model->seeding_platform = Influencer::SEEDING_PLATFORM_YOUTUBE;
			$model->followers = 1000;
			$model->handle_tiktok = 'JohnDuTk';
			$model->handle_instagram = 'JohnDuIns';
			$model->handle_youtube = 'JohnDuYT';
			$model->hyperlink_tiktok = 'https://www.google.com/';
			$model->hyperlink_instagram = 'https://www.google.com/';
			$model->hyperlink_youtube = 'https://www.google.com/';
			$model->following_tier = Influencer::FOLLOWING_TIER_MICRO;
			$model->demographic = Influencer::DEMOGRAPHIC_GENZ;
			$model->segment = Influencer::SEGMENT_SKINFLUENCER;
			$model->notes = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do';
			$model->added_by_user_id = 25;
			
			$model->save(false);
		}

		echo 'Success! - '.strtotime('now');
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer $id the ID of the model to be loaded
	 * @return Influencer the loaded model
	 * @throws CHttpException
	 */
	public function loadModel($id)
	{
		$model=Influencer::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param Influencer $model the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='influencer-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}

	protected function prepareAdditionalCond($filterParams) 
	{
		$cond = '';

		if ($filterParams['date_created_from'] != '' && $filterParams['date_created_to'] != '')
			$cond .= ' AND DATE(infl.date_created) BETWEEN "'. $filterParams['date_created_from'] .'" AND "'. $filterParams['date_created_to'] .'"';

		if ($filterParams['full_name'] != '')
			$cond .= ' AND CONCAT(infl.first_name, " ", infl.last_name) LIKE "%'. $filterParams['full_name'] .'%"';

		if ($filterParams['added_by_user_id'] != '')
			$cond .= ' AND infl.added_by_user_id = ' . $filterParams['added_by_user_id'];			
			
		if (!empty($_GET['seeding_platform']))
			$cond .= ' AND infl.seeding_platform = ' . $filterParams['seeding_platform'];

		if (!empty($_GET['followers']))
			$cond .= ' AND infl.followers < ' . $filterParams['followers'];

		if (!empty($_GET['handle_tiktok']))
			$cond .= ' AND infl.handle_tiktok like "%' . $filterParams['handle_tiktok'] . '%"';

		if (!empty($_GET['handle_instagram']))
			$cond .= ' AND infl.handle_instagram like "%' . $filterParams['handle_instagram'] . '%"';

		if (!empty($_GET['handle_youtube']))
			$cond .= ' AND infl.handle_youtube like "%' . $filterParams['handle_youtube'] . '%"';

		if (!empty($_GET['following_tier']))
			$cond .= ' AND infl.following_tier like "%' . $filterParams['following_tier'] . '%"';

		if (!empty($_GET['demographic']))
			$cond .= ' AND infl.demographic = ' . $filterParams['demographic'];


protected/views/influencer/_view.php
<tr>
    <td><?php echo ($index+1)+(@$_GET['page']*100); ?></td>
    <td><?php echo date('Y-m-d', strtotime($data['date_created'])); ?> @ <?php echo date('h:m A', strtotime($data['date_created'])); ?></td>
    <td><?php echo $data['username']; ?></td>
    <td><?php echo $data['first_name'] . ' ' . $data['last_name']; ?></td>
    <td><?php echo Influencer::getSeedingPlatformLabel($data['seeding_platform']); ?></td>
    <td><?php echo $data['followers']; ?></td>
    <td><?php echo CHtml::link($data['handle_tiktok'], $data['hyperlink_tiktok'], ['target' => '_blank']); ?></td>
    <td><?php echo CHtml::link($data['handle_instagram'], $data['hyperlink_instagram'], ['target' => '_blank']); ?></td>
    <td><?php echo CHtml::link($data['handle_youtube'], $data['hyperlink_youtube'], ['target' => '_blank']); ?></td>
    <td><?php echo Influencer::getFollowingTierLabel($data['following_tier']); ?></td>
    <td><?php echo Influencer::getDemographicLabel($data['demographic']); ?></td>
    <td><?php echo Influencer::getSegmentLabel($data['segment']); ?></td>
    <td><?php echo $data['notes']; ?></td>
    <td>
        <?php echo CHtml::link('<span class="glyphicon glyphicon-search"></span>', ['view', 'id' => $data['id']]); ?>&nbsp;|&nbsp; 
        <?php echo CHtml::link('<span class="glyphicon glyphicon-edit"></span>', ['update', 'id' => $data['id']]); ?>&nbsp;|&nbsp;
        <?php echo CHtml::link('<span class="glyphicon glyphicon-trash"></span>', ['delete', 'id' => $data['id']], ['onclick' => 'return confirm("Are you sure you want to delete this item?")']); ?>
    </td>
</tr>

protected/views/influencer/index.php
<?php
/* @var $this InfluencerController */
/* @var $dataProvider CActiveDataProvider */

Yii::app()->clientScript->registerCssFile('https://code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css');
Yii::app()->clientScript->registerScriptFile('https://code.jquery.com/jquery-3.6.0.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile('https://code.jquery.com/ui/1.13.1/jquery-ui.js', CClientScript::POS_END);

Yii::app()->clientScript->registerScript('general', "

$(document).ready(function() {
	var windowHeight = $(window).height();
	var panelHeight = windowHeight*0.78;

	$('.manage .panel-body').css({height: panelHeight+'px'});

	$('#date_created_from, #date_created_to').datepicker({dateFormat: 'yy-mm-dd'});
});

");

?>

<style>
.container {width: 90% !important;}
.summary {text-align: left !important;}
.pager {text-align: left !important;}
</style>

<div class="container">
	<div class="col-md-12">
		<?php $this->widget('Flash', array(
			'flashes' => Yii::app()->user->getFlashes()
		)); ?>
	</div>
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel-heading">
				<span><strong>Filter</strong></span>
			</div>
			<div class="panel-body">
				<?php echo CHtml::beginForm('index', 'GET'); ?>
					<div class="row">
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('created') . ' <em>(From)</em>', 'date_created_from'); ?>
								<?php echo CHtml::textField('date_created_from', $filterParams['date_created_from'], ['class' => 'form-control input-sm', 'autocomplete' => 'off']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('created') . ' <em>(To)</em>', 'date_created_from'); ?>
								<?php echo CHtml::textField('date_created_to', $filterParams['date_created_to'], ['class' => 'form-control input-sm', 'autocomplete' => 'off']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('added_by'), 'added_by'); ?>
								<?php echo CHtml::dropDownList('added_by_user_id', $filterParams['added_by_user_id'], CHtml::listData(User::model()->findAll(), 'id', 'username'), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('full_name'), 'full_name'); ?>
								<?php echo CHtml::textField('full_name', $filterParams['full_name'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('seeding_platform'), 'seeding_platform'); ?>
								<?php echo CHtml::dropDownList('seeding_platform', $filterParams['seeding_platform'], Influencer::getSeedingPlatformList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('followers') . ' (<em>less than or equal</em>)', 'followers'); ?>
								<?php echo CHtml::textField('followers', $filterParams['followers'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('handle_tiktok'), 'handle_tiktok'); ?>
								<?php echo CHtml::textField('handle_tiktok', $filterParams['handle_tiktok'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('handle_instagram'), 'handle_instagram'); ?>
								<?php echo CHtml::textField('handle_instagram', $filterParams['handle_instagram'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('handle_youtube'), 'handle_youtube'); ?>
								<?php echo CHtml::textField('handle_youtube', $filterParams['handle_youtube'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('following_tier'), 'following_tier'); ?>
								<?php echo CHtml::dropDownList('following_tier', $filterParams['following_tier'], Influencer::getFollowingTierList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('demographic'), 'demographic'); ?>
								<?php echo CHtml::dropDownList('demographic', $filterParams['demographic'], Influencer::getDemographicList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('segment'), 'segment'); ?>
								<?php echo CHtml::dropDownList('segment', $filterParams['segment'], Influencer::getSegmentList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('notes'), 'notes'); ?>
								<?php echo CHtml::textField('notes', $filterParams['notes'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-12 text-right">
							<?php echo CHtml::link('Clear', ['influencer/index'], ['class' => 'btn btn-default']); ?>
							<?php echo CHtml::submitButton('Submit', ['class' => 'btn btn-primary']); ?>
						</div>
					</div>
				<?php echo CHtml::endForm(); ?>
			</div>
		</div>
	</div>
	<div class="col-md-12">
		<div class="panel panel-default manage">
			<div class="panel-heading">
				<div class="row">
					<div class="col-md-6">
						<span><strong>Manage</strong></span>
					</div>
					<div class="col-md-6 text-right">
						<?php echo CHtml::link('<span class="glyphicon glyphicon-cloud-download"></span>', Yii::app()->createUrl('influencer/export').'?'.http_build_query($filterParams)); ?>
					</div>
				</div>
			</div>
			<div class="panel-body" style="overflow: scroll;">
				<div style="width: 2000px;">
					<?php $this->widget('zii.widgets.CListView', array(
						'id' => 'influencer-list-view',
						'dataProvider' => $influencersDP,
						'itemView' => '_view',
						'template' => '
							{summary}
							<table class="table table-hover table-condensed"">
								<thead>
									<tr class="active">
										<th>#</th>
										<th>Date Created</th>
										<th>Added By</th>
										<th>Full Name</th>
										<th>Seeding Plaform</th>
										<th>Followers</th>	
										<th>TikTok Handle</th>
										<th>Instgram Handle</th>
										<th>Youtube Handle</th>
										<th>Following Tier</th>
										<th>Demographic</th>
										<th>Segment</th>
										<th>Notes</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
									{items}
								</tbody>
							</table>
							{pager}
						',
						'emptyText' => '<tr><td colspan="14">No result found</td></tr>'
					)); ?>
				</div>
			</div>
			</div>
		</div>
	</div>
</div>